Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001050Frama-CPlug-in > aoraïpublic2011-12-14 11:502014-02-12 16:58
ReporterMounir 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001050: Sequence number generated by aorai is incorrect
Descriptionvoid f(){};

void g(){};

The aorai counter generated for the program and automata below is incorrect. It should be 0 <= aorai_counter <= 5 while it's defined as <=6.

frama-c loop.c -aorai-automata loop.ya

* file: loop.c
int main(int c){
    if (c<0){ c = 0;}
    if (c>0){ c = 5;}

    while (c){
        f();
        g();
        c--;
    }
    return 0;
}

* file loop.ya

%init : S0;
%accept : Sf;

S0 : {[ main( [ f(); g() ]{0,5} ) ]} -> Sf;
Sf: -> Sf;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002560)
signoles (manager)
2011-12-21 17:29

@Nicolas: it was already assigned to Virgile who already acknowledged ;-).
(0004694)

2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-12-14 11:50 Mounir New Issue
2011-12-14 11:50 Mounir Status new => assigned
2011-12-14 11:50 Mounir Assigned To => nstouls
2011-12-15 08:44 virgile Assigned To nstouls => virgile
2011-12-15 08:44 virgile Status assigned => acknowledged
2011-12-21 16:38 nstouls Status acknowledged => assigned
2011-12-21 17:28 signoles Status assigned => acknowledged
2011-12-21 17:29 signoles Note Added: 0002560
2012-01-04 11:32 svn Checkin
2012-01-04 11:32 svn Status acknowledged => resolved
2012-01-04 11:32 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 Note Added: 0004694
2014-02-12 16:58 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker